4SDeveloper
API ReferenceResources
日本語
API Reference
OAuth / OIDC
  • Introduction
  • Authentication Flow
  • Discovery / JWKS
  • Token Endpoint
  • ID Token
  • Token Revocation
  • Calling the APIs
  • Rate Limits
  • Error Reference
  • Integration Examples
  • Demo App
Schemas
Users / Profile
Card exchange / Meet log
Organizations
Organizations (Admin)
Events
Events (Admin)
Communities
Communities (Admin)
Playlists
Playlists (Admin)
Chat
  • List chat rooms
  • Chat room detail
  • Create chat room
  • Rename chat room
  • List chat room members
  • Invite chat room members
  • Remove a chat room member
  • List mention candidates
  • Join a chat room
  • Decline a chat room invitation
  • Leave a chat room
  • List messages
  • Send a message
  • Delete a message
  • List who reacted
  • Add a reaction
  • Remove a reaction
  • List room images
  • Toggle room notifications
  • List files
  • Register an uploaded file
  • Rename or move a file
  • Delete a file
  • Create an upload URL
  • Create a download URL
  • List folders
  • Create a folder
  • Rename or move a folder
  • Delete a folder
  • Mark messages as read
Notifications
Push notifications
Bookmarks
Misc
Chat

Delete a file

DELETE/chat-rooms/:roomId/files/:fileId

Soft-delete a file you uploaded. Deleting an already deleted file succeeds.

AuthLogin required

Path parameters

roomIdstringrequired

Chat room ID.

fileIdstringrequired

File ID.

Response

FieldTypeDescription
idstringID of the deleted file.
deletedAtstringDeletion time (ISO 8601).
Request
curl https://api.4s.link/chat-rooms/ROOM_ID/files/FILE_ID \
-X DELETE \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"id": "cf1a2b3c-...",
"deletedAt": "2026-08-29T00:00:00.000Z"
}
© 4SDeveloper portal for the 4S platform.